> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Numbers

> Retrieves a paginated list of numbers for the authenticated user's current workspace.
The numbers are returned using cursor-based pagination.



## OpenAPI

````yaml GET /api/v1/numbers
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/numbers:
    get:
      tags:
        - Number
      summary: List Numbers
      description: >-
        Retrieves a paginated list of numbers for the authenticated user's
        current workspace.

        The numbers are returned using cursor-based pagination.
      operationId: listNumbers
      parameters:
        - in: query
          name: per_page
          description: >-
            The number of items per page. Must be at least 1. Must not be
            greater than 100.
          example: 25
          required: false
          schema:
            type: integer
            description: >-
              The number of items per page. Must be at least 1. Must not be
              greater than 100.
            example: 25
        - in: query
          name: cursor
          description: >-
            The cursor for pagination. Use the meta.next_cursor or
            meta.previous_cursor from the response.
          example: example
          required: false
          schema:
            type: string
            description: >-
              The cursor for pagination. Use the meta.next_cursor or
              meta.previous_cursor from the response.
            example: example
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: 01kqh44f2j4aj3f4nyqr28r3t7
                      number: '0327177670'
                      nickname: Annette O'Kon
                      inbound_agent_id: null
                      outbound_agent_id: null
                      livekit_trunk_id: SDR_fk5jw7c3p6mmx
                      livekit_dispatch_id: ST_a17ikfd658xt5
                      workspace_id: 01kqh44f26qesc5q56sjj3636y
                      created_at: '2026-05-01T06:38:04+00:00'
                      updated_at: '2026-05-01T06:38:04+00:00'
                    - id: 01kqh44f3qnvwtews1e310sbj9
                      number: 328959751
                      nickname: Support Line
                      inbound_agent_id: null
                      outbound_agent_id: null
                      livekit_trunk_id: SDR_ee8dy8w3f9ypb
                      livekit_dispatch_id: ST_l12gdsy479dv9
                      workspace_id: 01kqh44f3bfkk6z7av44mhwgs7
                      created_at: '2026-05-01T06:38:04+00:00'
                      updated_at: '2026-05-01T06:38:04+00:00'
                  meta:
                    per_page: 20
                    next_cursor: null
                    prev_cursor: null
                properties:
                  data:
                    type: array
                    example:
                      - id: 01kqh44f2j4aj3f4nyqr28r3t7
                        number: '0327177670'
                        nickname: Annette O'Kon
                        inbound_agent_id: null
                        outbound_agent_id: null
                        livekit_trunk_id: SDR_fk5jw7c3p6mmx
                        livekit_dispatch_id: ST_a17ikfd658xt5
                        workspace_id: 01kqh44f26qesc5q56sjj3636y
                        created_at: '2026-05-01T06:38:04+00:00'
                        updated_at: '2026-05-01T06:38:04+00:00'
                      - id: 01kqh44f3qnvwtews1e310sbj9
                        number: 328959751
                        nickname: Support Line
                        inbound_agent_id: null
                        outbound_agent_id: null
                        livekit_trunk_id: SDR_ee8dy8w3f9ypb
                        livekit_dispatch_id: ST_l12gdsy479dv9
                        workspace_id: 01kqh44f3bfkk6z7av44mhwgs7
                        created_at: '2026-05-01T06:38:04+00:00'
                        updated_at: '2026-05-01T06:38:04+00:00'
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: 01kqh44f2j4aj3f4nyqr28r3t7
                        number:
                          type: string
                          example: '+15551234567'
                        nickname:
                          type: string
                          example: Annette O'Kon
                        inbound_agent_id:
                          type: string
                          example: null
                          nullable: true
                        outbound_agent_id:
                          type: string
                          example: null
                          nullable: true
                        livekit_trunk_id:
                          type: string
                          example: SDR_fk5jw7c3p6mmx
                        livekit_dispatch_id:
                          type: string
                          example: ST_a17ikfd658xt5
                        workspace_id:
                          type: string
                          example: 01kqh44f26qesc5q56sjj3636y
                        created_at:
                          type: string
                          example: '2026-05-01T06:38:04+00:00'
                        updated_at:
                          type: string
                          example: '2026-05-01T06:38:04+00:00'
                  meta:
                    type: object
                    properties:
                      per_page:
                        type: integer
                        example: 20
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      prev_cursor:
                        type: string
                        example: null
                        nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````